Bug 1253057 - Installation Review RHEV domain names are example.com
Installation Review RHEV domain names are example.com
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: beta
: 1.0
Assigned To: jmagen@redhat.com
Dan Macpherson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 16:41 EDT by Thom Carlin
Modified: 2016-08-12 16:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (37.46 KB, image/png)
2015-08-21 19:50 EDT, Dave Johnson
no flags Details

  None (edit)
Description Thom Carlin 2015-08-12 16:41:30 EDT
Description of problem:

Installation review shows RHEV engine and hypervisor with domain name of example.com which is not what was specified in fusor-installer

Version-Release number of selected component (if applicable):

This install was completed from an ISO with the Media ID 1439405173.425233 at 06:46:13 PM on 12 Aug 2015.

How reproducible:

100%

Steps to Reproduce:
1. Install RHCI upto step 5A. Installation Review
2. Under RHEV, compare "Engine Host Name" and "Hypervisor Host Name" with domain name specified in fusor-installer
3.

Actual results:

engine_name.example.com
hypervisor_name.example.com

Expected results:

engine_name.domain_from_fusor-installer
hypervisor_name.domain_from_fusor-installer

Additional info:

Name appears to be correct in Infrastructure > Domains
Comment 1 jmagen@redhat.com 2015-08-20 11:14:58 EDT
fixed and merged.
Comment 2 John Matthews 2015-08-21 16:13:16 EDT
RHCI-6.0-RHEL-7-20150821.0-RHCI-x86_64-dvd1.iso
Comment 3 Dave Johnson 2015-08-21 19:49:37 EDT
Changed from example.com to undefined...  screenshot to follow.  This is using the RHCI-6.0-RHEL-7-20150821.t.0    1440170112.364470
Comment 4 Dave Johnson 2015-08-21 19:50:40 EDT
Created attachment 1065763 [details]
ss
Comment 5 jmagen@redhat.com 2015-08-25 13:50:40 EDT
This may be a backend issue. 
Please confirm that the domain of "Fusor Base" is "domain_from_fusor-installer" since this is where I'm pulling the domain name.
Comment 6 John Matthews 2015-08-25 19:30:01 EDT
Joseph,

I've verified that domain is set on the Hostgroup.
For example I did an install and changed the domain name to "sample.com".

Below is output from foreman-rake console.
- look at the hostgroups, see we only have 1 right now of "Fusor Base"
  It has a
    domain_id: 1

- ::Domain.find(1).name is set to "sample.com"



# foreman-rake console
Loading production environment (Rails 3.2.8)

::Hostgroup.all
2015-08-25 19:19:00 [D]   Hostgroup Load (1.2ms)  SELECT "hostgroups".* FROM "hostgroups" ORDER BY hostgroups.title
=> [#<Hostgroup id: 1, name: "Fusor Base", created_at: "2015-08-25 22:00:33", updated_at: "2015-08-25 22:00:33", environment_id: nil, operatingsystem_id: nil, architecture_id: nil, medium_id: nil, ptable_id: nil, root_pass: nil, puppet_ca_proxy_id: nil, use_image: nil, image_file: nil, ancestry: nil, vm_defaults: nil, subnet_id: 1, domain_id: 1, puppet_proxy_id: nil, title: "Fusor Base", realm_id: nil, compute_profile_id: nil, content_source_id: nil, grub_pass: "", content_view_id: nil, lifecycle_environment_id: nil>]


::Domain.find(1)
2015-08-25 19:26:01 [D]   Domain Load (1.0ms)  SELECT "domains".* FROM "domains" WHERE "domains"."id" = $1 ORDER BY domains.name LIMIT 1  [["id", 1]]
=> #<Domain id: 1, name: "sample.com", fullname: "Default domain used for provisioning", created_at: "2015-08-25 21:59:18", updated_at: "2015-08-25 22:00:29", dns_id: 1, hosts_count: 1, hostgroups_count: 1>


::Domain.find(1).name
2015-08-25 19:26:50 [D]   Domain Load (0.3ms)  SELECT "domains".* FROM "domains" WHERE "domains"."id" = $1 ORDER BY domains.name LIMIT 1  [["id", 1]]
=> "sample.com"



Futher, I looked at the webui with ember inspector and I could see that the data is passed to webui's ember data object for the hostgroup.


<fusor-ember-cli@model:hostgroup::ember1534:1>

.domain.content

name: sample.com
Comment 7 John Matthews 2015-08-25 20:36:31 EDT
Potential fix, needs to be reviewed:
  https://github.com/fusor/fusor/pull/332
Comment 8 jmagen@redhat.com 2015-08-26 04:01:46 EDT
Fix looks good.
Comment 10 Dave Johnson 2015-09-01 14:54:03 EDT
good 2 go in 0829

Note You need to log in before you can comment on or make changes to this bug.